eoSGA(3)

NAME
eoSGA - The Simple Genetic Algorithm, following Holland and Goldberg.

SYNOPSIS

#include <eoSGA.h>

Inherits eoAlgo< EOT >< EOT >.

  Public Member Functions
eoSGA (eoSelectOne< EOT > &_select, eoQuadOp< EOT > &_cross, float _crate, eoMonOp< EOT > &_mutate, float _mrate, eoEvalFunc< EOT > &_eval, eoContinue< EOT > &_cont)
void operator() (eoPop< EOT > &_pop)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoContinue< EOT > & cont
eoInvalidateMonOp< EOT > mutate
eoInvalidateMonOp invalidates the embedded operator
float mutationRate
eoInvalidateQuadOp< EOT > cross
float crossoverRate
eoSelectPerc< EOT > select
eoEvalFunc< EOT > & eval

Detailed Description

  template<class EOT> class eoSGA< EOT >
The Simple Genetic Algorithm, following Holland and Goldberg. Needs a selector (class eoSelectOne) a crossover (eoQuad, i.e. a 2->2 operator) and a mutation with their respective rates, of course an evaluation function (eoEvalFunc) and a continuator (eoContinue) which gives the stopping criterion. Performs full generational replacement.

Definition at line 49 of file eoSGA.h.

Author

Generated automatically by Doxygen for EO from the source code.